This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 468222 - Review Request: python-transaction - Transaction management for Python
Review Request: python-transaction - Transaction management for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
: 476599 (view as bug list)
Depends On:
Blocks: 468223 476600
  Show dependency treegraph
 
Reported: 2008-10-23 12:29 EDT by Luke Macken
Modified: 2013-01-08 17:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 17:32:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-23 12:29:45 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-transaction.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-transaction-1.0-0.1.a1.fc9.src.rpm
Description:
This package contains a generic transaction implementation for Python. It is
mainly used by the ZODB, though.
Comment 1 Brian Pepple 2008-11-16 18:10:09 EST
MD5Sum:
93b4f5d753b4ba99b201cce05c25e549  transaction-1.0a1.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* Package installs and uninstalls cleanly

Bad:
* License tag should be 'ZPLv2.1', not 'ZPL'.
* rpmlint produces the following errors:
python-transaction.noarch: W: incoherent-version-in-changelog 1.0-0.1.a2 ['1.0-0.1.a1.fc9', '1.0-0.1.a1']
python-transaction.noarch: W: invalid-license ZPL

You can fix the changelog & license tag when you import it into CVS.

+1 APPROVED
Comment 2 Luke Macken 2008-11-19 10:37:41 EST
New Package CVS Request
=======================
Package Name: python-transaction
Short Description: This package contains a generic transaction implementation for Python.
Owners: lmacken
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2008-11-22 22:55:18 EST
cvs done.
Comment 4 Conrad Meyer 2008-12-17 17:50:35 EST
*** Bug 476599 has been marked as a duplicate of this bug. ***
Comment 5 Conrad Meyer 2008-12-17 17:54:00 EST
Btw, License tag is still not fixed in CVS.

Also, no updates for F-10 and F-9 yet (not sure if it's even been built in rawhide).
Comment 6 Luke Macken 2008-12-18 16:35:18 EST
License tag fixed.  Building F-9 F-10 updates now.
Comment 7 Fedora Update System 2008-12-19 12:21:13 EST
python-transaction-1.0-0.2.a1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-transaction-1.0-0.2.a1.fc10
Comment 8 Fedora Update System 2008-12-19 12:21:16 EST
python-transaction-1.0-0.2.a1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-transaction-1.0-0.2.a1.fc9
Comment 9 Fedora Update System 2008-12-21 03:32:55 EST
python-transaction-1.0-0.2.a1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-transaction'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11428
Comment 10 Fedora Update System 2008-12-21 03:39:48 EST
python-transaction-1.0-0.2.a1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-transaction'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11457
Comment 11 Brian Pepple 2009-02-15 11:21:10 EST
If this has been built, and pushed to stable this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.